#include <bits/stdc++.h>
#include <vector>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,k,c=1;int x;
    int pom;
    vector<int> v;
    v.resize(n);
    cin>>n>>k>>x;
    for(int i=0;i<n;i++){
    	cin>>pom;
    	v.push_back(pom);
	}int sum=0;
	for(int j=0;j<n-k+1;j++){
    sum=0;c=1;
	for(int i=0;i<k;i++){
    	sum+=v[i+j]*c;
    	c++;
		}
		cout<<sum<<" ";
	}
	cout<<sum;
    return 0;
}